Subject: bug#15599: [PATCH] Inferior Lisp Mode Menu

From: Drew Adams <[email-masked]>
Date: Thu, 24 Oct 2013 08:00:45 -0700 (PDT)

> > I'd leave such an item always enabled.
> 
> Agreed.  I can see two reasons for it:
> - these "enabled" tests are run, pretty much all the time, so they
>   need to be sufficiently "quick" not to disrupt normal work.  Testing
>   if the last sexp is properly balanced may have to scan megabytes of
>   text (even if it usually is not the case), so it can slow things down
>   noticeably.
> - it should be reasonably obvious to the user why a menu entry is
>   disabled, and I think most users wouldn't find this one to be
>   obvious.

Yes.  The first reason is pretty important, and needs to be taken into
consideration even when there are not megabytes to scan etc.  Pretty
much any :enable or :visible test needs to be simple & quick.

Dunno whether this is mentioned in the manual, but I think it should be,
as a useful guideline.